View Usage
View statistics about account usage
OpenAPI
````yaml get /api/v2/stats/usage
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/stats/usage:
get:
tags:
- Billing
summary: View Usage
description: View statistics about account usage
parameters:
- name: giveCosts
in: query
description: 'Returns values for keys with cost: prefix.'
example: false
schema:
type: boolean
- name: combineCosts
in: query
description: Returns cost values and usage values in the same response.
example: false
schema:
type: boolean
- name: billingPeriod
in: query
description: >-
Accepts previous or current for previous and current billing
periods.
example: current
schema:
type: string
- name: timeseries
in: query
description: Returns data as a timeseries.
example: false
schema:
type: boolean
- name: startDate
in: query
description: ISO date-time string, defaults to billing period start date.
example: '2026-04-01T00:00:00.000Z'
schema:
type: string
- name: endDate
in: query
description: ISO date-time string, optional, defaults to today.
example: '2026-04-30T23:59:59.999Z'
schema:
type: string
- name: frequency
in: query
description: 'Frequency value. Allowed: day, month, year. Defaults to day.'
example: day
schema:
type: string
- name: allItems
in: query
description: Show all product items and not just the current plan.
example: false
schema:
type: boolean
responses:
'200':
description: Stats fetched successfully
content:
application/json:
schema:
type: object
'401':
description: Unauthorized
security:
- apiKeyAuth: []
components:
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token
````
